#
# spec file for package xfce4-panel-plugin-netspeed
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfce4-panel-plugin-netspeed
Version:        0.3.1
Release:        6.3
Summary:        Xfce4 Netspeed Plugin
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://code.google.com/p/xfce4-netspeed-plugin/
Source0:        http://xfce4-netspeed-plugin.googlecode.com/files/xfce4-netspeed-plugin-%{version}.tar.gz
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An Xfce4 panel plugin that shows the network download/upload speed.

%prep
%setup -qn xfce4-netspeed-plugin

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libexecdir}/xfce4/panel-plugins/xfce4-netspeed-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-netspeed-plugin.desktop
%{_datadir}/icons/hicolor/*/*/xfce4-netspeed-plugin.*

%changelog
* Thu Sep  5 2013 lazy.kent@opensuse.org
- Update to 0.3.1.
  * Fix for auto device issue.
  * Remove ">= 2.24" from BuildRequires: pkgconfig(gtk+-2.0). It's
    OK for gtk+-2.0 >= 2.6.0.
* Fri Jan 18 2013 lazy.kent@opensuse.org
- Clean up %%prep section: no need to remove absent
  xfce4-netspeed-plugin.desktop.
* Sat Jan 12 2013 lazy.kent@opensuse.org
- Update to 0.3.
  * Port to libxfce4ui.
- So change BuildRequires: pkgconfig(libxfcegui4-1.0) ->
  pkgconfig(libxfce4ui-1).
* Wed Aug 22 2012 lazy.kent@opensuse.org
- Remove wrong desktop file. A good one will be installed any way.
* Tue Aug 21 2012 lazy.kent@opensuse.org
- Update to 0.2.
  * Added fixed width support.
  * Added support for automatically guessing the active network
    device.
* Sat Dec 24 2011 lazy.kent@opensuse.org
- Initial package created - 0.1
